package com.ruoyi.tcZz.service;

import java.util.List;
import com.ruoyi.tcZz.domain.TcAqyh;
import com.ruoyi.tcZz.domain.TcWljg;

/**
 * 安全隐患 tc_aqyhService接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface ITcAqyhService 
{
    /**
     * 查询安全隐患 tc_aqyh
     * 
     * @param id 安全隐患 tc_aqyh主键
     * @return 安全隐患 tc_aqyh
     */
    public TcAqyh selectTcAqyhById(Long id);

    /**
     * 查询安全隐患 tc_aqyh列表
     * 
     * @param tcAqyh 安全隐患 tc_aqyh
     * @return 安全隐患 tc_aqyh集合
     */
    public List<TcAqyh> selectTcAqyhList(TcAqyh tcAqyh);

    /**
     * 新增安全隐患 tc_aqyh
     * 
     * @param tcAqyh 安全隐患 tc_aqyh
     * @return 结果
     */
    public int insertTcAqyh(TcAqyh tcAqyh);

    /**
     * 修改安全隐患 tc_aqyh
     * 
     * @param tcAqyh 安全隐患 tc_aqyh
     * @return 结果
     */
    public int updateTcAqyh(TcAqyh tcAqyh);

    /**
     * 批量删除安全隐患 tc_aqyh
     * 
     * @param ids 需要删除的安全隐患 tc_aqyh主键集合
     * @return 结果
     */
    public int deleteTcAqyhByIds(Long[] ids);

    /**
     * 删除安全隐患 tc_aqyh信息
     * 
     * @param id 安全隐患 tc_aqyh主键
     * @return 结果
     */
    public int deleteTcAqyhById(Long id);


    /**
     * 导入安全隐患 tc_aqyh信息
     *
     * @return 结果
     */
    public String importUser(List<TcAqyh> tcAqyhList);


    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
